import request from '@/utils/request'

// 查询问题题目列表
export function listQu(query) {
  return request({
    url: '/exam/qu/list',
    method: 'get',
    params: query
  })
}

// 查询问题题目详细
export function getQu(id) {
  return request({
    url: '/exam/qu/' + id,
    method: 'get'
  })
}

// 新增问题题目
export function addQu(data) {
  return request({
    url: '/exam/qu',
    method: 'post',
    data: data
  })
}

// 修改问题题目
export function updateQu(data) {
  return request({
    url: '/exam/qu/edit',
    method: 'post',
    data: data
  })
}

// 删除问题题目
export function delQu(id) {
  return request({
    url: '/exam/qu/' + id,
    method: 'delete'
  })
}
